Mail archive
alpine-aports

[alpine-aports] [PATCH] community/webkit2gtk: new upstream release 2.10.5

From: Jiri Horner <laeqten_at_gmail.com>
Date: Sat, 23 Jan 2016 12:16:35 +0000

* new upstream release 2.10.5, fixes CVE-2015-7096, CVE-2015-7098
* paxmark WebkitWebProcess to make JSC JIT happy
* removed depends_dev since they are resolved automatically by abuild
---
 community/webkit2gtk/APKBUILD | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)
diff --git a/community/webkit2gtk/APKBUILD b/community/webkit2gtk/APKBUILD
index 4477478..dff58b9 100644
--- a/community/webkit2gtk/APKBUILD
+++ b/community/webkit2gtk/APKBUILD
_at_@ -1,14 +1,14 @@
 # Contributor: Jiri Horner <laeqten_at_gmail.com>
 # Maintainer: Jiri Horner <laeqten_at_gmail.com>
 pkgname=webkit2gtk
-pkgver=2.10.4
+pkgver=2.10.5
 pkgrel=0
 pkgdesc="portable web rendering engine WebKit for GTK+"
 url="http://webkitgtk.org/"
 arch="x86 x86_64"
 license="LGPL2+ BSD"
 depends=""
-depends_dev="gtk+3.0-dev libsoup-dev"
+depends_dev=""
 makedepends="$depends_dev
 	cmake
 	bison
_at_@ -34,6 +34,7 @@ makedepends="$depends_dev
 	pango-dev
 	ruby
 	sqlite-dev
+	paxmark
 	"
 install=
 replaces="webkit"
_at_@ -79,20 +80,22 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
+	# needed for JIT
+	paxmark -m "$pkgdir"/usr/lib/webkit2gtk-4.0/WebKitWebProcess || return 1
 }
 
-md5sums="fb010031c6f61c3a1a00793b112badb5  webkitgtk-2.10.4.tar.xz
+md5sums="bb3bd727960630bb4cbaddf8b1632d18  webkitgtk-2.10.5.tar.xz
 c114751c30cdcaede5a7ed5568b2b0d4  fix-execinfo.patch
 375d22de42a0d1053985a6df942f1db3  disallow-ctype.patch
 3fa45dbc0ea278e6426b6f86e0f8fc6d  fix-isnan.patch
 b98f38a61f4155eb808101b99690bcb0  disallow-malloc_trim.patch"
-sha256sums="dbf8260da5cac0c74de2d3cce1fe7c519da3cd816a2c769cb6c6d56addd2f055  webkitgtk-2.10.4.tar.xz
+sha256sums="785d5e98eaf07be15fb8891b7d5b13a2df7072c609b3ee631ca07d5dea1d79fa  webkitgtk-2.10.5.tar.xz
 b2bc9e03fd5d968d6df4531a7d102496139120e666e6fed397a19ae4026751c6  fix-execinfo.patch
 f4fd0f6d2c70c95169ab5c84d39607d1c4b2f674c36119f8fc1c60c751564e12  disallow-ctype.patch
 08a688126e3e9a0640786b4b928740bceec0e7f94720d71ecbec971dd1dd77ce  fix-isnan.patch
 3045c8022bee29cda9cb31e96e441473805701b672df8984a931082389f70259  disallow-malloc_trim.patch"
-sha512sums="1d1c79fb863be192639304c5616fb875ccfe541617fdc5c973e79d8159131080ba734199959a01760b9d06accaae7e2e87bec3bcc42dcd2e6b0d19a5b82ed039  webkitgtk-2.10.4.tar.xz
+sha512sums="51a5c469b1251b643055a1fb9d7b7be6e5497ebaba93d08d03f4e34a8c708666c3f18c1ddc1faa51af8200bf823f075a0fd031bb390a3fd92e17b51b0f0ccdc4  webkitgtk-2.10.5.tar.xz
 602630468ee80b9f9bb53ee7808f4b2f2c86d1d4db14ac9c244b3e2e79a245510a289eb321cb7dbefd3b7a2dde13cf444b8ecf7cd46f23eaa5c0f04670914e42  fix-execinfo.patch
 59f4e977fae16145a5116c97e3700625f1ed27963ad65daa957f1355dc93269435c1225fc5302b45e5df731c14aa7e639db4e163003eb265b867a9df9f97ab6f  disallow-ctype.patch
 cf48a1faf1e4daebf37c17e6b646d797b4179cee37b37369c34f879e4bafd190c974c18bad80beb7bc4560ce4d9a1f39aab8f5e5df3c130c2c8eaabb9fd124be  fix-isnan.patch
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jan 23 2016 - 12:16:35 GMT